propellor-5.10.1: property-based host configuration management in haskell

Maintainer | Félix Sipma <felix+propellor@gueux.org>
Safe Haskell | None
Language | Haskell98

Propellor.Property.DebianMirror

Description

Synopsis

- data DebianPriority
  - = Essential
  - | Required
  - | Important
  - | Standard
  - | Optional
  - | Extra
- showPriority :: DebianPriority -> String
- mirror :: DebianMirror -> Property DebianLike
- data RsyncExtra
  - = Doc
  - | Indices
  - | Tools
  - | Trace
- data Method
  - = Ftp
  - | Http
  - | Https
  - | Rsync
  - | MirrorFile
- data DebianMirror
- debianMirrorHostName :: HostName -> DebianMirror -> DebianMirror
- debianMirrorSuites :: [DebianSuite] -> DebianMirror -> DebianMirror
- debianMirrorArchitectures :: [Architecture] -> DebianMirror -> DebianMirror
- debianMirrorSections :: [Section] -> DebianMirror -> DebianMirror
- debianMirrorSourceBool :: Bool -> DebianMirror -> DebianMirror
- debianMirrorPriorities :: [DebianPriority] -> DebianMirror -> DebianMirror
- debianMirrorMethod :: Method -> DebianMirror -> DebianMirror
- debianMirrorKeyring :: FilePath -> DebianMirror -> DebianMirror
- debianMirrorRsyncExtra :: [RsyncExtra] -> DebianMirror -> DebianMirror
- mkDebianMirror :: FilePath -> Times -> DebianMirror

# Documentation

data DebianPriority Source #

Constructors

Essential |
Required |
Important |
Standard |
Optional |
Extra |

Instances

Eq DebianPriority Source # |
Instance details Defined in Propellor.Property.DebianMirror Methods (==) :: DebianPriority -> DebianPriority -> Bool (/=) :: DebianPriority -> DebianPriority -> Bool
Show DebianPriority Source # |
Instance details Defined in Propellor.Property.DebianMirror Methods showsPrec :: Int -> DebianPriority -> ShowS show :: DebianPriority -> String showList :: [DebianPriority] -> ShowS

showPriority :: DebianPriority -> String Source #

mirror :: DebianMirror -> Property DebianLike Source #

data RsyncExtra Source #

Constructors

Doc |
Indices |
Tools |
Trace |

Instances

Eq RsyncExtra Source # |
Instance details Defined in Propellor.Property.DebianMirror Methods (==) :: RsyncExtra -> RsyncExtra -> Bool (/=) :: RsyncExtra -> RsyncExtra -> Bool
Show RsyncExtra Source # |
Instance details Defined in Propellor.Property.DebianMirror Methods showsPrec :: Int -> RsyncExtra -> ShowS show :: RsyncExtra -> String showList :: [RsyncExtra] -> ShowS

data Method Source #

Constructors

Ftp |
Http |
Https |
Rsync |
MirrorFile |

data DebianMirror Source #

To get a new DebianMirror and set options, use:

    mkDebianMirror mymirrordir mycrontimes
    	. debianMirrorHostName "otherhostname"
    	. debianMirrorSourceBool True

debianMirrorHostName :: HostName -> DebianMirror -> DebianMirror Source #

debianMirrorSuites :: [DebianSuite] -> DebianMirror -> DebianMirror Source #

debianMirrorArchitectures :: [Architecture] -> DebianMirror -> DebianMirror Source #

debianMirrorSections :: [Section] -> DebianMirror -> DebianMirror Source #

debianMirrorSourceBool :: Bool -> DebianMirror -> DebianMirror Source #

debianMirrorPriorities :: [DebianPriority] -> DebianMirror -> DebianMirror Source #

debianMirrorMethod :: Method -> DebianMirror -> DebianMirror Source #

debianMirrorKeyring :: FilePath -> DebianMirror -> DebianMirror Source #

debianMirrorRsyncExtra :: [RsyncExtra] -> DebianMirror -> DebianMirror Source #

mkDebianMirror :: FilePath -> Times -> DebianMirror Source #